# BulkSyncDiscountCodes

> Re-push the selected discount codes to their providers. Write access, discounts toolset, MCP tool bulk_sync_discount_codes.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `input` | `BulkSyncDiscountCodesInput!` | yes | Input object, below |  |

## Input types

### BulkSyncDiscountCodesInput

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `ids` | `[UUID!]!` | yes |  | The discounts to push. Each one syncs to wherever it is already placed — the request names no store. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"BulkSyncDiscountCodes","variables":{"input":{"ids":[]}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"da5e5bd7cacce1707e96e5b987f501f47063448129b64593e12e1ba82f76aebd"}}}'
```

## Document

```graphql
mutation BulkSyncDiscountCodes($input: BulkSyncDiscountCodesInput!) { __typename bulkSyncDiscountCodes(input: $input) { __typename results { __typename id status } } }
```

Source: https://developer.missin.co.uk/reference/discounts/bulk-sync-discount-codes
